﻿using System.IO;
using System.Collections;
using System.Runtime.Serialization.Formatters.Binary;
using System.Runtime.Serialization;
using Microsoft.VisualBasic;
using System;

public class clsBinaryFileReadSequential
{

    public void Main()
    {
        BinaryFormatter formatter = new BinaryFormatter();
        FileStream output = null;

        string fileName = "books.dat";

        try
        {
            output = new FileStream(fileName, FileMode.OpenOrCreate, FileAccess.Write);

            Book Book = new Book(1, "The Republic", "Plato");

            formatter.Serialize(output, Book);

            Book = new Book(2, "Romeo & Juliet", "Shakespeare");

            formatter.Serialize(output, Book);

            Book = new Book(3, "The Symposium", "Plato");

            formatter.Serialize(output, Book);

            output.Close();

        }
        catch (FileNotFoundException fileException)
        {
            Console.WriteLine("File Does Not Exits");
        }
        catch (SerializationException serializableException)
        {
            Console.WriteLine("Error Writing to File");
        }
        catch (FormatException formattingException)
        {
            Console.WriteLine("Invalid Format");
        }
        catch (IOException e)
        {
            Console.WriteLine("Cannot close file");

        }


        FileStream input = null;

        BinaryFormatter reader = new BinaryFormatter();

        input = new FileStream(fileName, FileMode.Open, FileAccess.Read);
        int intFileLength = (Int32)input.Length;

        while (input.Position < intFileLength)
        {
            try
            {
                Book myBook = (Book)(reader.Deserialize(input));

                Console.WriteLine(myBook);
            }
            catch (SerializationException serializableException)
            {


                Console.WriteLine("Serialization Exception");
            }

        }

        input.Close();

        Console.WriteLine("No more records in file");


        Console.ReadLine();
    }

}


[Serializable()]
public struct Book
{
    public int ID;
    [VBFixedString(25)]
    public string BookName;
    [VBFixedString(25)]
    public string BookAuthor;

    public Book(int new_id, string Book_name, string Book_author)
        : this()
    {
        ID = new_id;
        BookName = Book_name;
        BookAuthor = Book_author;
    }

    public override string ToString()
    {
        return ID + ": " + BookName + " " + BookAuthor;
    }
}