﻿using System;
public class clsDivRem
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes an dividend, divisor, and remainder as Int32 or Int64  
        // and returns quotient as same data type.  Remainder is passed by 
        // reference and it gets updated with the remainder when the function 
        // executes.
        // 
        // *******************************************************************************
        // Syntax: 	 DivRem(dividend32, divisor32, byRef remainder32) 
        //  
        // Parameter1: dividend32 - int32
        //
        // Parameter2: divisor32 - int32
        //
        // Parameter3: remainder32 - byRef int32
        //
        // Result: int32 - quotient
        //
        // ******************************************************************************
        // Syntax2: 	DivRem(dividend64, divisor64, byRef remainder64)
        // 
        //  
        // Parameter1: dividend64 - int64
        //
        // Parameter2: divisor64 - int64
        //
        // Parameter3: remainder64 - byRef int64
        //
        // Result: int64 - quotient
        //
        // Quick Example: Dim int32Dividend As Int32 = 7
        // Dim int32Divisor As Int32 = 5
        // Dim int32Quotient As Int32 = 0
        // Dim int32Remainder As Int32 = 0
        // int32Quotient = DivRem(int32Dividend, int32Divisor, int32Remainder)
        // int32Quotient // Returns 1
        // int32Remainder // Returns 2
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	DivRem(dividend as int32, divisor as int32, byRef remainder as int32)");
        Int32 int32Dividend = 7;
        Int32 int32Divisor = 5;
        Int32 int32Quotient = 0;
        Int32 int32Remainder = 0;

        int32Quotient = Math.DivRem(int32Dividend, int32Divisor, out int32Remainder);

        Console.WriteLine("Quotient=" + int32Quotient); // Returns 1
        Console.WriteLine("Remainder=" + int32Remainder); // Returns 2


        //write blank line to make output easier to read
        Console.WriteLine(" ");

        Console.WriteLine("Example #2: 	DivRem(dividend as int64, divisor as int64, byRef remainder as int64)");
        Int64 int64Dividend = 7;
        Int64 int64Divisor = 5;
        Int64 int64Quotient = 0;
        Int64 int64Remainder = 0;

        int64Quotient = Math.DivRem(int64Dividend, int64Divisor, out int64Remainder);

        Console.WriteLine("Quotient=" + int64Quotient); // Returns 1
        Console.WriteLine("Remainder=" + int64Remainder); // Returns 2


        //write blank line to make output easier to read
        Console.WriteLine(" ");

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}