﻿using System;
public class clsFloor
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: takes a decimal or double number and returns a value 
        // that represents the next equal or lower whole number.  
        // Although the result is a whole number, it is returned as a
        // the same data type that was passed in.  Math.Ceiling is different 
        // in that it rounds up to the next whole number that is equal 
        // or greater than the number that is given.
        // 
        // Syntax: 	Floor(decimalnumber)
        //
        // Parameter1: decimalnumber - decimal number
        //
        // Result: decimal - closest whole number equal or lower
        //
        // Syntax2: 	Floor(doublenumber)
        //
        // Parameter1: doublenumber - double  precision floating point number
        //
        // Result: double precision floating point number - closest whole number equal or lower
        //
        // Quick Example: Floor(1.32) // Returns 1
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Floor(1.32) - rounds down to closest whole number");
        decimal decNumber1 = 1.32M;
        Console.WriteLine(Math.Floor(decNumber1)); // Returns 1

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Floor(1.9) - rounds down to closest whole number");
        double douNumber2 = 1.9;
        Console.WriteLine(Math.Floor(douNumber2)); // Returns 1
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: Floor(-1.32) - rounds down to closest whole number");

        decimal decNumber3 = -1.32M;

        Console.WriteLine(Math.Floor(decNumber3)); // Returns -2

        Console.WriteLine("Example #4: 	Ceiling(1.32) - rounds up to closest whole number");
        decimal decNumber4 = 1.32M;
        Console.WriteLine(Math.Ceiling(decNumber4)); // Returns 2

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #5: 	Ceiling(1.9) - rounds up to closest whole number");
        double douNumber5 = 1.9;
        Console.WriteLine(Math.Ceiling(douNumber5)); // Returns 2
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #6: 	Ceiling(-1.32) - rounds up to closest whole number");

        decimal decNumber6 = -1.32M;

        Console.WriteLine(Math.Ceiling(decNumber3)); // Returns -1

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}