﻿using System;
public class clsMin
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: Returns the Min value of the two parameters that were passed in.
        // 
        // 
        // Syntax: 	Min(byte,byte)
        // Min(decimal, decimal)
        // Min(double, double)
        // Min(int16, int16)
        // Min(int32, int32)
        // Min(int64, int64)
        // Min(sbyte, sbyte)
        // Min(single, single)
        // Min(UInt16, UInt16)
        // Min(UInt32, UInt32)
        // Min(UInt64, UInt64)
        //  
        // Parameter1: expression - 1. byte - returns byte that is Minimum of two inputs
        // 2. decimal - returns decimal number that is Minimum of two inputs
        // 3. double - returns double-percision floating point number that is Minimum of two inputs 
        // 4. int16 - returns 16-bit integer that is Minimum of two inputs 
        // 5. int32 - returns 32-bit integer that is Minimum of two inputs 
        // 6. int64 - returns 64-bit integer that is Minimum of two inputs 
        // 7. sbyte - returns 8-bit signed integer that is Minimum of two inputs 
        // 8. single - returns single-percision floating point number that is Minimum of two inputs
        // 9. UInt16 - returns unsigned 16-bit integer that is Minimum of two inputs 
        // 10. UInt32 - returns unsigned 32-bit integer that is Minimum of two inputs 
        // 11. UInt64 - returns unsigned 64-bit integer that is Minimum of two inputs 
        //
        // Result: Depends on input - 1. byte - when input is byte 
        // 2. decimal - when input is decimal
        // 3. double - returns double-percision floating point number 
        // 4. int16 - returns 16-bit integer 
        // 5. int32 - returns 32-bit integer 
        // 6. int64 - returns 64-bit integer 
        // 7. sbyte - returns 8-bit signed integer 
        // 8. single - returns single-percision floating point number
        // 9. UInt16 - returns unsigned 16-bit integer  
        // 10. UInt32 - returns unsigned 32-bit integer
        // 11. UInt64 - returns unsigned 64-bit integer 
        //
        // Quick Example: Min(1.33, 1.34) // Returns 1.33
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Min(decimal,decimal)");
        decimal decNumber1 = 1.33M;
        decimal decNumber2 = 1.34M;

        Console.WriteLine(Math.Min(decNumber1, decNumber2)); // Returns 1.33 as decimal

        //write blank line to make output easier to read
        Console.WriteLine();


        Console.WriteLine("Example #2: 	Min(douNumber1,douNumber2)");
        double douNumber1 = -3.4;
        double douNumber2 = -2.4;
        Console.WriteLine(Math.Min(douNumber1, douNumber2)); // Returns -3.4 as double

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Min(byte,byte)");

        int byteNumber1 = 5;
        int byteNumber2 = 6;


        Console.WriteLine(Math.Min(byteNumber1, byteNumber2)); // Returns 5 as byte

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}