﻿using System;
public class clsSign
{

    public void Main()
    {


        //********************************************************************************
        // Purpose: Returns an integer indicating the sign of the
        // input parameter. The result is -1 if the input
        // parameter is less than one; 0 if the input is 
        // zero; and 1 if the input is > 0
        //
        // Syntax: 	1. Sign(decimal)
        // 2. Sign(double)
        // 3. Sign(int16)
        // 4. Sign(int32)
        // 5. Sign(int64)
        // 6. Sign(SByte)
        // 7. Sign(Single)
        //  
        // Parameter1: decimal - Any valid System.Decimal data type number
        // 2. double - any valid System.Double data type.
        // 3. int16 - any valid System.Int16 data type.
        // 4. int32 - any valid System.Int32 data type.
        // 5. int64 - any valid System.Int64 data type.
        // 6. SByte - any valid 8-bit SByte
        // 7. Single - any valid single floating-point 32-bit number.
        //
        // 
        // Result: Int32 - Returns an integer indicating the sign of the
        // input parameter. The result is -1 if the input
        // parameter is less than one; 0 if the input is 
        // zero; and 1 if the input is > 0
        //
        // Quick Example: Sign(3.5) // Returns 1
        //
        //********************************************************************************
        // This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Sign(decimal)");

        Console.WriteLine("Sign(3.5) = {0}", Math.Sign(3.5)); // Returns 1

        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #2: 	Sign(double)");
        double myDouble = -6.5;
        Console.WriteLine("Sign(myDouble) = {0}", Math.Sign(myDouble)); // Returns -1
        //write blank line to make output easier to read
        Console.WriteLine();

        Console.WriteLine("Example #3: 	Sign(int16)");
        Int16 myInt16 = 0;


        Console.WriteLine("Sign(myInt16) = {0}", Math.Sign(myInt16)); // Returns 0

        //Prevent console from closing before you press enter
        Console.ReadLine();

    }

}